--- chan_sip.bak	2011-08-09 18:12:59.000000000 -0400
+++ chan_sip.c	2011-09-22 11:34:26.000000000 -0400
@@ -14222,6 +14222,12 @@
 	 * URI, whereas the RFC says this is a domain-only uri.
 	 */
 	if (!ast_strlen_zero(domain) && !AST_LIST_EMPTY(&domain_list)) {
+		/* some phones send :port after a domain name or IPv4 or [IPv6] address */
+		if ((c = strrchr(domain, '.')) || (c = strrchr(domain, ']'))) {
+			if ((c = strchr(c, ':'))) {	/* Remove :port */
+				*c = '\0';
+			}
+		}
 		if (!check_sip_domain(domain, NULL, 0)) {
 			transmit_response(p, "404 Not found (unknown domain)", &p->initreq);
 			return AUTH_UNKNOWN_DOMAIN;
